/* Copyright © 2010 Brandon L Black <blblack@gmail.com>
 *
 * This file is part of gdnsd.
 *
 * gdnsd is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * gdnsd is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with gdnsd.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#define GDNSD_PLUGIN_NAME null

#include "config.h"
#include <gdnsd-plugin.h>
#include <string.h>

void plugin_null_resolve_dynaddr(unsigned threadnum V_UNUSED, unsigned resnum V_UNUSED, const anysin_t* client V_UNUSED, dynaddr_result_t* result) {
    result->count_v4 = 1;
    result->count_v6 = 1;
    result->addrs_v4[0] = 0;
    memset(result->addrs_v6, 0, 16);
}
void plugin_null_resolve_dyncname(unsigned threadnum V_UNUSED, unsigned resnum V_UNUSED, const uint8_t* origin V_UNUSED, const anysin_t* client V_UNUSED, dyncname_result_t* result) {
    result->dname[0] = 1;
    result->dname[1] = 0;
}
