/* Copyright © 2010 Brandon L Black <blblack@gmail.com>
 *
 * This file is part of gdnsd.
 *
 * gdnsd is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * gdnsd is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with gdnsd.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#define GDNSD_PLUGIN_NAME reflect

#include "config.h"
#include <gdnsd-plugin.h>
#include <string.h>

void plugin_reflect_resolve_dynaddr(unsigned threadnum V_UNUSED, unsigned resnum V_UNUSED, const anysin_t* client, dynaddr_result_t* result) {
    if(client->sa.sa_family == AF_INET6) {
        result->count_v4 = 0;
        result->count_v6 = 1;
        memcpy(result->addrs_v6, client->sin6.sin6_addr.s6_addr, 16);
    }
    else {
        result->count_v4 = 1;
        result->count_v6 = 0;
        result->addrs_v4[0] = client->sin.sin_addr.s_addr;
    }
}
